> For the complete documentation index, see [llms.txt](https://docs.rome.builders/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rome.builders/ja/rissu/glossary.md).

# 用語集

このドキュメント全体で使われるRomeとSolanaの用語定義 — ATA、CPI、PDA、VmAt/VmIt、ホルダーアカウント、SPLトークンなど。

このドキュメント全体で使用される、Rome と Solana 固有の用語。

## ある

**前進** — Canton 上でブロックをコミットする Daml の choice。1つ `前進` ブロックヘッダー、トランザクション、証明、そして legs を運びます。Canton はそれらをまとめて検証し、1つのトランザクションでコミットするか、まったくコミットしません。参照 [仕組み](https://docs.rome.builders/ja/canton-zk-evm/how-it-works.md).

**割り当て** — 受取人と実行者のために取り分けられた Canton トークン。Ostia では、 `前進` 入金または支払いのために割り当てを実行します。送信者は決済前であれば取り戻せます。参照 [入金、出金、支払い](https://docs.rome.builders/ja/canton-zk-evm/deposits-withdrawals-payments.md).

**ATA（Associated Token Account）** — Solana 上の、特定の wallet + mint の組み合わせに対する決定的なトークンアカウント。wallet の pubkey、token mint、ATA プログラムから導出されます。

**Atomic Execution（VmAt）** — 1 回の Solana トランザクション内で実行全体が完了する EVM トランザクションモード。ほとんどの操作のデフォルトモードです。

## B

**Batch guest** — チェーンの genesis 向けに構築された ZisK プログラム。バッチの inbox データと実行を検証し、その後 Solana の決済がチェックする公開値をコミットします。

**BlockRecord** — Ostia の各ブロックごとに作成される Canton コントラクト。ヘッダー、トランザクション、証明を保持し、第三者がチェーンを再生して各ブロックの証明を再検証できるようにします。leg の決済結果は保持しません。参照 [信頼モデルと制限](https://docs.rome.builders/ja/canton-zk-evm/trust-model.md).

**BN254** — ZK 証明の検証に使われる楕円曲線。Rome は ecAdd (0x06)、ecMul (0x07)、ecPairing (0x08) の precompile をサポートします。

**Borsh** — Binary Object Representation Serializer for Hashing。Solana の標準シリアライズ形式。リトルエンディアンのバイト順序。

**Builder (Ostia)** — Ostia のブロックを作成し、各ブロックを証明させ、 `前進`を付けて Canton に提出するサービスおよび Canton パーティ。Ostia DevNet には 1 つの builder があり、Rome が運用しています。参照 [仕組み](https://docs.rome.builders/ja/canton-zk-evm/how-it-works.md).

## C

**Canton** — Ostia のブロックを順序付けし、証明済みの各 EVM ブロックをその Canton アクションとともに 1 回のトランザクションでコミットします。参照 [Canton ZK EVM](https://docs.rome.builders/ja/canton-zk-evm/canton-zk-evm.md).

**チェーン ID** — Rome 上の各 EVM 環境を識別する一意の ID。各アプリケーションにはそれぞれ独自の chain ID があります。

**CPI（Cross-Program Invocation）** — 同じトランザクション内で、1つの Solana プログラムが別のプログラムを呼び出すこと。Rome の EVM コントラクトが Solana プログラムとやり取りする方法です。

**Compute Units（CU）** — Ethereum の gas に相当する Solana の単位。各トランザクションには compute budget があり、操作は CU を消費します。

**確認者** — Ostia のチェーン記録の署名者。その participant は、Canton の external call を通じてブロック証明と gateway leg を検証する sidecar を実行します。参照 [信頼モデルと制限](https://docs.rome.builders/ja/canton-zk-evm/trust-model.md).

## D

**Daml** — Canton 上の Ostia のコントラクトに使用されます。チェーンの head、ブロック記録、および入金・出金・支払いを決済するコントラクトです。参照 [仕組み](https://docs.rome.builders/ja/canton-zk-evm/how-it-works.md).

## E

**ERC20SPL** — 基盤となる Solana の SPL トークンアカウントから残高を読み取る ERC-20 ラッパーコントラクト。ウォレットに対しては ERC-20 残高は SPL 残高と同じであり、コントラクトが保有するトークンはラッパーの escrow アカウントに置かれ、その storage で追跡されます。

**ERC20SPLFactory** — 任意の SPL トークン mint に対して ERC20SPL ラッパーをデプロイする factory コントラクト。

**Exit prover** — Solana 上の final root に対して出金を証明し、その後 vault の支払いを送信するサービス。

**External call** — Daml が各 confirming participant の sidecar を呼び出すための Canton 拡張。Ostia はこれを `検証` および `レッグ` チェックに使います。参照 [仕組み](https://docs.rome.builders/ja/canton-zk-evm/how-it-works.md).

## G

**Gateway** — Ostia では、ブロックの Canton leg を記録し、ラップトークンを作成する EVM コントラクト。Canton 上の別の gateway party は、EVM 上のラップトークンを裏付けるトークンを保持します。参照 [入金、出金、支払い](https://docs.rome.builders/ja/canton-zk-evm/deposits-withdrawals-payments.md).

## H

**Hercules** — ブロック・インデクサーサービス。Solana 上の Rome EVM イベントを監視し、Ethereum 互換のブロックデータを生成します。

**ホルダーアカウント** — 大きな EVM トランザクションを保存するオンチェーンのバッファ（最大 80 KB）。4 KB の Solana (v1) トランザクション制限を超えるものを格納します。

## I

**Iterative Execution（VmIt）** — 実行を複数の Solana トランザクションに分割する EVM トランザクションモード。各ステップは、その compute budget に収まるだけの opcode を詰め込みます（適応的ステップサイズ）。計算負荷の高い操作に使用されます。

## L

**Lamports** — SOL の最小単位。1 SOL = 10^9 lamports。

**レグ** — Ostia の EVM gateway が記録する Canton アクション: 入金、出金、または支払い。証明済みブロックとその legs は、 `前進`。参照 [入金、出金、支払い](https://docs.rome.builders/ja/canton-zk-evm/deposits-withdrawals-payments.md).

## M

**Mollusk SVM** — Rome Proxy が `eth_call` と gas 見積もりのために使用するオフチェーンの Solana VM エミュレーター。任意の BPF プログラムを実行できます。

## O

**Oracle Gateway** — Chainlink の AggregatorV3Interface を通じて Pyth と Switchboard の価格フィードを公開するアダプタコントラクト。

**Ostia** — Canton 上の ZK EVM。Canton がブロックを順序付け、ZisK がそれぞれを証明し、各証明済みブロックは Canton アクションとともに 1 回のトランザクションで Canton 上にコミットされます。Canton Network DevNet 上では Ostia DevNet（chain ID 770101、テストコイン tROME）として公開されています。Solana 上で決済する Rome ZK EVM rollup とは別です。参照 [Canton ZK EVM](https://docs.rome.builders/ja/canton-zk-evm/canton-zk-evm.md).

## P

**Participant** — パーティをホストする Canton ノード。Ostia のローカルネットワークでは、operator と confirmer の各 participant がそれぞれ sidecar を実行し、users participant は test party と reader をホストします。Ostia DevNet では 1 つの participant がすべての Ostia party をホストするため、その 1 つの sidecar が唯一の confirmer となり、Rome はその participant を自分自身の Canton DevNet validator として運用します。参照 [自分で Ostia を実行する](https://docs.rome.builders/ja/canton-zk-evm/run-it-locally.md) および [Ostia DevNet](https://docs.rome.builders/ja/canton-zk-evm/devnet.md).

**Party** — participant 上でホストされる Canton の ID。Ostia のコントラクトは party を signer、controller、observer として名指しし、gateway party はロックされた Canton トークンを保持します。参照 [信頼モデルと制限](https://docs.rome.builders/ja/canton-zk-evm/trust-model.md).

**支払者** — EVM ユーザーに代わって Solana トランザクションに署名し、手数料を支払う Solana keypair。Proxy によって管理されます。

**PDA（Program Derived Address）** — seeds と program ID から導出される決定的な Solana アドレス。秘密鍵はなく、プログラムが PDA を「所有」します。

**programVK** — Ostia の program key: ZisK が各ブロックを照合して証明する、コンパイル済みチェーンルール（guest）の識別子です。これはリポジトリに固定され、explorer と `/api/status`に表示され、sidecar はこの key に対してのみブロックの証明を受け入れます。Solana rollup の key については、下の Verification key を参照してください。参照 [何が証明され、何が証明されないか](https://docs.rome.builders/ja/canton-zk-evm/what-is-proven.md).

**Proved root** — Solana の決済で検証される ZisK 証明とともに投稿される state root。permissionless な Rome ZK EVM チェーンでは、投稿された時点で final です。

**Proxy** — Ethereum API 呼び出しを Solana トランザクションに変換する Rome の JSON-RPC サーバー（ポート 9090）。

## R

**Reader party** — Ostia の explorer と indexer が読み取り先として使う read-only の Canton party。その user は読み取りしかできず、どの party に対しても操作できません。参照 [エクスプローラー](https://docs.rome.builders/ja/canton-zk-evm/explorer.md).

**RheaTx** — 1つの Rome チェーン上の単一の EVM トランザクションに対する Rust SDK の型。

**RemusTx** — 異なる Rome チェーン上の EVM トランザクションに対する Rust SDK の型。1 回の Solana トランザクション内で原子的に実行されます。

**RomulusTx** — EVM トランザクションとネイティブな Solana 命令を組み合わせた Rust SDK の型。1 回の Solana トランザクション内で原子的に実行されます。

**ResourceFactory** — 並列トランザクション送信のために Solana keypair と holder アカウントのインデックスをプールする SDK コンポーネント。

## S

**サイドカー** — Canton から呼び出されたときに、Ostia の証明、ブロックデータ、gateway legs を検証する、各 confirming participant の横にあるサービス。参照 [仕組み](https://docs.rome.builders/ja/canton-zk-evm/how-it-works.md).

**SPL Token** — Solana の標準トークンプログラム。Solana 上のすべての fungible token（USDC、SOL など）は SPL トークンです。

**StateHolder** — 繰り返し実行ステップ間のシリアライズされた VM 状態を保存するオンチェーンアカウントです。

**Synchronizer** — Ostia のローカル Canton ネットワークには、sequencer と mediator で構成される 1 つの synchronizer があります。3 つの participant はすべてそれに接続します。Ostia DevNet では、participant は代わりに Canton Network DevNet synchronizer に接続され、Ostia はそれを運用しません。参照 [自分で Ostia を実行する](https://docs.rome.builders/ja/canton-zk-evm/run-it-locally.md).

## T

**Token-2022** — 拡張機能（Transfer Hooks、Confidential Transfers、Permanent Delegates）を備えた次世代 SPL トークンプログラム。

**Transfer Hook** — 毎回プログラムを呼び出す Token-2022 拡張機能 `transfer_checked` 機能です。

**tROME** — Ostia DevNet のテストコイン。小数点以下 18 桁で、価値はありません。Ostia 上の gas を支払い、explorer の faucet から入手できます。参照 [ファウセット](https://docs.rome.builders/ja/rissu/faucets.md).

**TxBuilder** — EVM トランザクションから Solana 命令を構築する SDK コンポーネント。

## V

**Verification key (programVK)** — Solana に登録されたチェーン固有の guest 識別子。決済は、その programVK がそのチェーンの有効なエントリと一致する場合にのみ証明を受け入れます。

## Z

**ZisK** — チェーンの batch guest を実行し、Rome ZK EVM の決済で検証される証明を生成する proving system。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rome.builders/ja/rissu/glossary.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
